## patroni 1.4.2

=== requirements.txt ===
urllib3>=1.19.1,!=1.21
boto
psycopg2>=2.5.4
PyYAML
requests
six >= 1.7
kazoo>=1.3.1
python-etcd>=0.4.3,<0.5
python-consul>=0.7.0
click>=4.1
prettytable>=0.7
tzlocal
python-dateutil
psutil
cdiff
kubernetes==3.0.0

=== debian/changelog ===
patroni (1.4.2-2ubuntu1) bionic; urgency=medium

  * Add python3-coverage to the autopkg test dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Mar 2018 19:15:42 +0800

patroni (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * debian/tests: Tidy /tmp/pgpass?.
  * debian/tests: Use zookeeperd when etcd-server is not available.
  * debian/tests: Set TZ=UTC.
  * Remove testsuite clutter on clean.
  * features/environment.py: Make "import consul" optional.
  * Bump DH compat to 10 to get systemd integration; patch patroni.service to
    start only if /etc/patroni/config.yml exists.

 -- Christoph Berg <myon@debian.org>  Thu, 15 Feb 2018 11:21:57 +0100

patroni (1.4.2-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 02 Feb 2018 19:36:12 +0100

patroni (1.4.1-1) unstable; urgency=medium

  * New upstream release.

  [ Christoph Berg ]
  * Move packaging repository to salsa.debian.org

  [ Michael Banck ]
  * debian/patches/pgpass_in_testsuite.patch: Removed, no longer needed.
  * debian/patches/sphinx_no_mathjax.patch: Refreshed.
  * debian/patches/startup_scripts.patch: Updated.
  * debian/patches/coverage_binary.patch: Likewiese.
  * debian/pathes/relax_kazoo_requirement.patch: Removed, no longer needed.
  * debian/rules (override_dh_auto_install): Remove tr-hack, the example init
    file no longer has DOS line endings.
  * debian/control (Build-Depends): Added python3-kubernetes.
  * debian/patches/relax_requirements.patch: New patch, relaxes the
    python3-kubernetes requirements.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 24 Jan 2018 13:52:16 +0100

patroni (1.3.4-1) unstable; urgency=medium

  * Team upload.
  * Initial release. (Closes: #875493)

 -- Michael Banck <michael.banck@credativ.de>  Sat, 21 Oct 2017 10:58:35 +0200

=== debian/control ===
Source: patroni
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Michael Banck <michael.banck@credativ.de>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 libjs-jquery,
 libjs-mathjax,
 libjs-underscore,
 pyflakes3,
 python3,
 python3-boto,
 python3-cdiff,
 python3-click (>= 4.1),
 python3-consul (>= 0.7.0),
 python3-dateutil,
 python3-dnspython,
 python3-etcd (>= 0.4.3),
 python3-flake8,
 python3-kazoo,
 python3-mccabe,
 python3-mock,
 python3-kubernetes,
 python3-prettytable (>= 0.7),
 python3-psutil,
 python3-psycopg2 (>= 2.6.1),
 python3-pycodestyle,
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-tz,
 python3-tzlocal,
 python3-yaml,
 sphinx-common
Standards-Version: 4.1.3
X-Python3-Version: >= 3.5
Vcs-Browser: https://salsa.debian.org/postgresql/patroni
Vcs-Git: https://salsa.debian.org/postgresql/patroni.git
Homepage: https://github.com/zalando/patroni

Package: patroni
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, lsb-base (>= 3.0-6)
Suggests: postgresql, etcd-server | consul | zookeeperd, haproxy
Description: Template for PostgreSQL High Availability
 Patroni is a template for a customized, high-availability PostgreSQL solution
 using Python and a distributed configuration store (ZooKeeper, etcd or
 Consul). It provides a REST API on each Postgres node of the cluster allowing
 for remote management and monitoring.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export LANG=C.UTF-8
export READTHEDOCS=no

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_clean:
	-dh_auto_clean
	rm -rf docs/build features/output coverage.xml .coverage*
	rm -rf .cache .eggs dummy junit.xml .pybuild

override_dh_auto_build:
	dh_auto_build
	(cd docs; $(MAKE) html)

override_dh_installinit:
	# init script installed via debian/patroni.install
	dh_installinit --only-scripts

override_dh_installdocs:
	dh_installdocs
	dh_sphinxdoc /usr/share/doc/patroni/html

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

=== debian/tests/control ===
# runs with etcd or zookeeper (zookeeper needs root, but we can't specify that here if we want to run etcd without root)
Depends:
 etcd-server | zookeeperd,
 postgresql,
 python3-behave,
 python3-consul (>= 0.7.0),
 python3-etcd (>= 0.4.3),
 python3-kazoo,
 python3-kubernetes,
 python3-coverage,
 @,
Tests: acceptance
Restrictions: allow-stderr

Depends:
 python3-boto,
 python3-consul (>= 0.7.0),
 python3-etcd (>= 0.4.3),
 python3-flake8,
 python3-kazoo,
 python3-kubernetes,
 python3-mock,
 python3-pytest-cov,
 python3-setuptools,
 python3-coverage,
 @,
Tests: test
Restrictions: allow-stderr

## patroni 1.4.4

=== debian/changelog ===
patroni (1.4.4-2) unstable; urgency=medium

  * Move maintainer address to team+postgresql@tracker.debian.org.
  * Avoid using "async" which is a keyword in python3.7. Closes: #904369.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Jul 2018 20:45:19 +0200

patroni (1.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Run first basic replication test only.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Jun 2018 23:16:20 +0200

patroni (1.4.3-1) unstable; urgency=medium

  * New upstream version.
  * Add python3-coverage to acceptance test depends.
    Reported by Matthias Klose, thanks! Closes: #894235.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 06 Apr 2018 12:13:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: patroni
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <michael.banck@credativ.de>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
@@ -37,7 +37,7 @@
  python3-tzlocal,
  python3-yaml,
  sphinx-common
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 X-Python3-Version: >= 3.5
 Vcs-Browser: https://salsa.debian.org/postgresql/patroni
 Vcs-Git: https://salsa.debian.org/postgresql/patroni.git

=== debian/tests/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
  postgresql,
  python3-behave,
  python3-consul (>= 0.7.0),
+ python3-coverage,
  python3-etcd (>= 0.4.3),
  python3-kazoo,
  python3-kubernetes,
- python3-coverage,
  @,
 Tests: acceptance
 Restrictions: allow-stderr
@@ -22,7 +22,6 @@
  python3-mock,
  python3-pytest-cov,
  python3-setuptools,
- python3-coverage,
  @,
 Tests: test
 Restrictions: allow-stderr

## patroni 1.5.5

=== requirements.txt ===
--- 
+++ 
@@ -11,6 +11,6 @@
 prettytable>=0.7
 tzlocal
 python-dateutil
-psutil
+psutil>=2.0.0
 cdiff
-kubernetes==3.0.0
+kubernetes>=2.0.0,<=7.0.0,!=4.0.*,!=5.0.*

=== debian/changelog ===
patroni (1.5.5-2) unstable; urgency=medium

  * debian/pg_createconfig_patroni: Filter out comments from
    /etc/patroni/dcs.yml when assembling the Patroni configuration file
    (Closes: #930016).
  * debian/pg_createconfig_patroni: Fix determination of host IP/network if `ip
    route get' reports additional output (Closes: #930015).

 -- Michael Banck <michael.banck@credativ.de>  Fri, 07 Jun 2019 13:11:18 +0200

patroni (1.5.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/behave_failure_logging.patch: Removed, applied upstream.
  * debian/patches/acceptance_tests_coverage_binary.patch: Likewise.
  * debian/patches/automatic_primary_reinit.patch: Likewise.
  * debian/patches/automatic_primary_reinit.patch: Likewise.
  * debian/patches/patronictl_timeline_info.patch: Likewise.
  * debian/patches/acceptance_tests_postgres_port.patch: Likewise.
  * debian/patches/fix_replication_connection.patch: Likewise.
  * debian/patches/consul_import.patch: Refreshed.
  * debian/patches/reclone-unable-pg_rewind.patch: Removed, no longer needed.
  * debian/config.yml.in: Set use_pg_rewind to false again.
 
 -- Michael Banck <michael.banck@credativ.de>  Sat, 16 Feb 2019 07:30:02 +0100

patroni (1.5.4-8) unstable; urgency=medium

  * debian/pg_createconfig_patroni: Remove debugging output and fix premature
    exit. 
  * debian/patches/acceptance_tests_coverage_binary.patch: Updated according to
    upstream feedback.
  * debian/patches/behave_failure_logging.patch: Likewise.
  * debian/patches/acceptance_tests_postgres_port.patch: Refreshed.
  * debian/patches/acceptance_tests_system_patroni.patch: Likewise.
  * debian/patches/reclone-unable-pg_rewind.patch: New patch, reclones from the
    primary if use_pg_rewind and remove_data_directory_on_rewind_failure are
    set, but the postgres password is empty.
  * debian/config.yml.in: Set remove_data_directory_on_rewind_failure and
    use_pg_rewind to true.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 08 Feb 2019 17:44:53 +0100

patroni (1.5.4-7) unstable; urgency=medium

  * debian/pg_createconfig_patroni: Remove --scope option in favor of
    pg_createcluster's regular "[options] <version> <cluster name>" syntax.
  * debian/README.Debian: Updated accordingly.
  * debian/patches/sphinx_no_mathjax.patch: Removed, no longer needed.
  * debian/patches/coverage_binary.patch: Removed, and replaced with ...
  * debian/patches/acceptance_tests_coverage_binary.patch: ... this patch,
    which is generally applicable.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/acceptance_tests_postgres_port.patch: Likewise.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 07 Feb 2019 18:13:05 +0100

patroni (1.5.4-6) unstable; urgency=medium

  * debian/tests/acceptance: Fix DCS check for zookeeper in case etcd-server is
    installed as well.
  * debian/pg_createconfig_patroni: Determine Patroni API port dynamically and
    add @API_PORT@ substitution.
  * debian/config.yml.in: Replace API port by @API_PORT@.
  * debian/tests/acceptance: Set shell to bash.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 04 Feb 2019 21:12:00 +0100

patroni (1.5.4-5) unstable; urgency=medium

  * debian/config.yml.in: Set postgresql.pgpass option and add a commented-out
    pg_hba line for md5 connections from the local network.
  * debian/tests/control: Use `Test-Command' directive with relative path
    instead of `Tests' and pass it the DCS as argument.
  * debian/tests/acceptance: Set DCS variable as provided by the command-line
    argument.
  * debian/README.Debian: Add sections on pg_hba.conf and pg_rewind/postgres
    database password.
  * debian/config.yml.in: Create pgpass file under /var/lib/postgresql.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 04 Feb 2019 12:15:11 +0100

patroni (1.5.4-4) unstable; urgency=medium

  * debian/pg_clonecluster_patroni: Create stub instance with start.conf set to
    manual instead of disabled, in lines with pg_creatcluster_patroni.
  * debian/config.yml.in: Make PostgreSQL to also listen to 127.0.0.1 by
    default.
  * debian/patches/fix_replication_connection.patch: New patch, fixes the
    initiation of replication connections for version 10 and up, taken from
    proposed upstream commit e285e159.
  * debian/config.yml.in: Set pg_hba in bootstrap.dcs.postgresql section.  This
    way, it will be picked up by replicas as well.  As the pg_hba.conf file is
    created from scratch in this case, also add the default values.
  * debian/tests/acceptance: Wait 5 seconds after starting zookeeper.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 29 Jan 2019 11:22:26 +0100

patroni (1.5.4-3) unstable; urgency=medium

  [ Christoph Berg ]
  * Remove myself from uploaders.

  [ Michael Banck ]
  * debian/patches/patronictl_timeline_info.patch: New patch, shows timeline
    information in patronictl list, taken from proposed upstream commit
    fcc28c1b.
  * debian/patches/automatic_primary_reinit.patch: New patch, allows to
    automatically reinit a former primary if a rewind is not possible, taken
    from proposed upstream commit 3a509cab.
  * debian/patches/acceptance_tests_postgres_port.patch: New patch, set base
    port for acceptance tests to 5420 in order not to conflict with possible
    system clusters.
  * debian/tests/acceptance: Set JAVA_OPTS to "-Djava.net.preferIPv4Stack=true"
    in /etc/default/zookeepr if DCS is zookeeper.
  * debian/config.yml.in: Set use_pg_rewind to false and add
    remove_data_directory_on_diverged_timelines option.
  * debian/tests/acceptance: Add support for consul as DCS.
  * debian/tests/control: Add additional acceptance tests runs with zookeeper
    and consul as DCS.

 -- Michael Banck <michael.banck@credativ.de>  Sun, 27 Jan 2019 14:21:26 +0100

patroni (1.5.4-2) unstable; urgency=medium

  * debian/config.yml.in: Remove DCS-related commented-out lines and replace
    them with @DCS_CONFIG@ placeholder.


=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  python3-tzlocal,
  python3-yaml,
  sphinx-common
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 X-Python3-Version: >= 3.5
 Vcs-Browser: https://salsa.debian.org/postgresql/patroni
 Vcs-Git: https://salsa.debian.org/postgresql/patroni.git
@@ -45,10 +45,24 @@
 
 Package: patroni
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, lsb-base (>= 3.0-6)
-Suggests: postgresql, etcd-server | consul | zookeeperd, haproxy
-Description: Template for PostgreSQL High Availability
+Depends: ${misc:Depends}, ${python3:Depends}, lsb-base (>= 3.0-6),
+ python3-etcd (>= 0.4.3) | python3-consul (>= 0.7.0) | python3-kazoo | python3-kubernetes
+Suggests: postgresql, etcd-server | consul | zookeeperd, haproxy, patroni-doc
+Description: PostgreSQL High Availability with ZooKeeper, etcd, Consul, or Kubernetes
  Patroni is a template for a customized, high-availability PostgreSQL solution
  using Python and a distributed configuration store (ZooKeeper, etcd or
- Consul). It provides a REST API on each Postgres node of the cluster allowing
- for remote management and monitoring.
+ Consul), or Kubernetes. It provides a REST API on each Postgres node of the
+ cluster allowing for remote management and monitoring.
+
+Package: patroni-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Suggests: postgresql, etcd-server | consul | zookeeperd, haproxy
+Description: PostgreSQL High Availability (documentation)
+ Patroni is a template for a customized, high-availability PostgreSQL solution
+ using Python and a distributed configuration store (ZooKeeper, etcd or
+ Consul), or Kubernetes. It provides a REST API on each Postgres node of the
+ cluster allowing for remote management and monitoring.
+ .
+ This package provides the documentation.

=== debian/tests/control ===
# consul
Depends:
 consul,
 postgresql,
 python3-behave,
 python3-consul (>= 0.7.0),
 python3-coverage,
 python3-etcd (>= 0.4.3),
 python3-kazoo,
 python3-kubernetes,
 @,
Test-Command: debian/tests/acceptance consul
Restrictions: allow-stderr

# etcd
Depends:
 etcd-server,
 postgresql,
 python3-behave,
 python3-consul (>= 0.7.0),
 python3-coverage,
 python3-etcd (>= 0.4.3),
 python3-kazoo,
 python3-kubernetes,
 @,
Test-Command: debian/tests/acceptance etcd
Restrictions: allow-stderr

# zookeper
Depends:
 zookeeperd,
 postgresql,
 python3-behave,
 python3-consul (>= 0.7.0),
 python3-coverage,
 python3-etcd (>= 0.4.3),
 python3-kazoo,
 python3-kubernetes,
 @,
Test-Command: debian/tests/acceptance zookeeper
Restrictions: needs-root, allow-stderr

# regression tests
Depends:
 python3-boto,
 python3-consul (>= 0.7.0),
 python3-etcd (>= 0.4.3),
 python3-flake8,
 python3-kazoo,
 python3-kubernetes,
 python3-mock,
 python3-pytest-cov,
 python3-setuptools,
 @,
Tests: test
Restrictions: allow-stderr

## patroni 1.5.6

=== debian/changelog ===
patroni (1.5.6-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Removing consul and kubernetes support.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 16 Jun 2019 23:42:07 +0200

patroni (1.5.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/check_postmaster.patch: Refreshed.

 -- Michael Banck <michael.banck@credativ.de>  Sun, 16 Jun 2019 23:42:07 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  python3-boto,
  python3-cdiff,
  python3-click (>= 4.1),
- python3-consul (>= 0.7.0),
  python3-dateutil,
  python3-dnspython,
  python3-etcd (>= 0.4.3),
@@ -23,7 +22,6 @@
  python3-kazoo,
  python3-mccabe,
  python3-mock,
- python3-kubernetes,
  python3-prettytable (>= 0.7),
  python3-psutil,
  python3-psycopg2 (>= 2.6.1),
@@ -46,7 +44,6 @@
 Package: patroni
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, lsb-base (>= 3.0-6),
- python3-etcd (>= 0.4.3) | python3-consul (>= 0.7.0) | python3-kazoo | python3-kubernetes
 Suggests: postgresql, etcd-server | consul | zookeeperd, haproxy, patroni-doc
 Description: PostgreSQL High Availability with ZooKeeper, etcd, Consul, or Kubernetes
  Patroni is a template for a customized, high-availability PostgreSQL solution

=== debian/tests/control ===
# zookeper
Depends:
 zookeeperd,
 postgresql,
 python3-behave,
 python3-coverage,
 python3-etcd (>= 0.4.3),
 python3-kazoo,
 @,
Test-Command: debian/tests/acceptance zookeeper
Restrictions: needs-root, allow-stderr

# regression tests
Depends:
 python3-boto,
 python3-etcd (>= 0.4.3),
 python3-flake8,
 python3-kazoo,
 python3-mock,
 python3-pytest-cov,
 python3-setuptools,
 @,
Tests: test
Restrictions: allow-stderr

## patroni 1.6.3

=== debian/changelog ===
patroni (1.6.3-2) unstable; urgency=medium

  * debian/patches/v12_fix_recovery.conf_parameters.patch: New patch, fixes a
    regression in Patroni 1.6.{1-3} where setting restore_command in
    postgresql.conf no longer worked.
  * debian/tests/control: Strip down depends to test-related packages.
  * debian/patches/requirements_setuptools.patch: New patch, add setuptools to
    requirements, so that python3-pkg-resources is picked up as package
    dependency by dh_python3.
  * debian/patches/offline_intersphinx.patch: New patch, force usage of offline
    objects.inv from python-doc package instead of downloading it (Closes:
    #941127).
  * debian/control (Build-Depends): Added python3-doc.
  * debian/patches/urlparse_compat.patch: New patch, fixes a regression test
    suite failure due to a behaviour change in python3's urlparse, taken from
    upstream pull request #1368.
  * debian/pg_createcluster_patroni: Allow clusternames with multiple dashes,
    patch by Chris Hofstaedtler (Closes: #946156).

 -- Michael Banck <michael.banck@credativ.de>  Fri, 24 Jan 2020 10:08:04 +0100

patroni (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/consul_import.patch: Removed, applied upstream.
  * debian/patches/acceptance_tests_timeouts.patch: Likewise.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 10 Dec 2019 22:35:17 +0100

patroni (1.6.1-2) unstable; urgency=medium

  * debian/pg_createconfig_patroni: Add --endpoint option for explicit setting
    of VIP_ENDPOINT, make dcs.yml parsing a bit more robust and add sanity
    checking for VIP_ENDPOINT.

 -- Michael Banck <michael.banck@credativ.de>  Sat, 16 Nov 2019 15:44:09 +0100

patroni (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/check_postmaster.patch: Refreshed.
  * debian/patches/avoid_distutils_spawn.patch: Removed, no longer needed.
  * debian/patches/disable_postgresql.conf_chmod.patch: Likewise.
  * debian/pg_createconfig_patroni: Add --vip option and write out a
    vip-manager configuration if present.
  * debian/config.yml.in: Add @LISTEN_VIP@ tag.
  * debian/control: Add vip-manager to Suggests.
  * debian/README.Debian: Add section on vip-manager integration.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 15 Nov 2019 19:49:30 +0100

patroni (1.6.0-4) unstable; urgency=medium

  * debian/patches/avoid_distutils_spawn.patch: New patch, implements
    find_executable() method and drops import of distutils.spawn.
  * debian/control (patroni/Depends): Removed python3-distutils.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 08 Oct 2019 12:58:22 +0200

patroni (1.6.0-3) unstable; urgency=medium

  * debian/control (patroni/Depends): Added python3-distutils. 
  * debian/patches/acceptance_tests_timeouts.patch: New patch, increases a
    timeout of an often failing autopkgtest test.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 07 Oct 2019 20:41:25 +0200

patroni (1.6.0-2) unstable; urgency=medium

  * debian/control: Recommend iproute2.
  * debian/pg_createconfig_patroni: Exit gracefully if iproute2 is not
    installed.
  * debian/patches/disable_postgresql.conf_chmod.patch: New patch, disables
    setting the postgresql.conf permissions to 600, reported by Peter J.
    Holzer.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 20 Sep 2019 20:29:43 +0200

patroni (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/check_postmaster.patch: Updated.
  * debian/control (Depends): Added python3-psycopg2.
  * debian/tests/control: Added python3-psycopg2.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 21 Aug 2019 13:17:41 +0200

=== debian/tests/control ===
# regression tests
Depends:
 python3-boto,
 python3-consul (>= 0.7.0),
 python3-etcd (>= 0.4.3),
 python3-flake8,
 python3-kazoo,
 python3-kubernetes,
 python3-mock,
 python3-pytest-cov,
 @,
Tests: test
Restrictions: allow-stderr

## patroni 1.6.4

=== requirements.txt ===
urllib3>=1.19.1,!=1.21
boto
PyYAML
six >= 1.7
kazoo>=1.3.1
python-etcd>=0.4.3,<0.5
python-consul>=0.7.1
click>=4.1
prettytable>=0.7
tzlocal
python-dateutil
psutil>=2.0.0
cdiff
kubernetes>=2.0.0,<=10.0.1,!=4.0.*,!=5.0.*

=== debian/changelog ===
patroni (1.6.4-2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Mark new consul/zookeper tests as flaky too
    - Disable etcd test, not working everywhere
      See Debian bugs: #952536, #952535

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Mar 2020 09:28:32 +0200

patroni (1.6.4-2) unstable; urgency=medium

  * debian/pg_clonecluster_patroni: quote connstr in pg_createcluster
    invocation (Closes: #953623).
  * debian/pg_createcluster_patroni: remove vip-manager file before appending
    to it, patch by Tomas Pospisek (Closes: #953147).
  * debian/pg_createcluster_patroni: Improve parsing of pg_lsclusters output
    when determining port number, patch by Tomas Pospisek (Closes: #953157).
  * debian/tests/acceptance: Set ETCD_UNSUPPORTED_ARCH to arm/arm64 according
    to $DEB_HOST_ARCH (Closes: #952535).
  * debian/config.yml.in: Add commented-out exemplary bootstrap/initdb and
    bootstrap/users sections.

 -- Michael Banck <michael.banck@credativ.de>  Sat, 28 Mar 2020 10:19:53 +0100

patroni (1.6.4-1ubuntu3) focal; urgency=medium

  * Mark new consul/zookeper tests as flaky too  

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Mar 2020 13:09:39 +0100

patroni (1.6.4-1ubuntu2) focal; urgency=medium

  * Disable etcd test, not working everywhere
    See Debian bugs: #952536, #952535

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Feb 2020 13:49:20 +0100

patroni (1.6.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/check_postmaster.patch: Removed. 
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/v12_fix_recovery.conf_parameters.patch: Removed, no longer
    needed.
  * debian/patches/urlparse_compat.patch: Removed, no longer needed.
  * debian/patches/fix_failing_tests.patch: New patch, fixes a failing
    regression test case.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 10 Feb 2020 10:01:27 +0100

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,16 @@
  python3-boto,
  python3-cdiff,
  python3-click (>= 4.1),
+ python3-consul (>= 0.7.0),
  python3-dateutil,
  python3-dnspython,
+ python3-doc,
  python3-etcd (>= 0.4.3),
  python3-flake8,
  python3-kazoo,
  python3-mccabe,
  python3-mock,
+ python3-kubernetes,
  python3-prettytable (>= 0.7),
  python3-psutil,
  python3-psycopg2 (>= 2.6.1),
@@ -43,8 +46,10 @@
 
 Package: patroni
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, lsb-base (>= 3.0-6),
-Suggests: postgresql, etcd-server | consul | zookeeperd, haproxy, patroni-doc
+Depends: ${misc:Depends}, ${python3:Depends}, lsb-base (>= 3.0-6), python3-psycopg2,
+ python3-etcd (>= 0.4.3) | python3-consul (>= 0.7.0) | python3-kazoo | python3-kubernetes
+Recommends: iproute2
+Suggests: postgresql, etcd-server | consul | zookeeperd, vip-manager, haproxy, patroni-doc
 Description: PostgreSQL High Availability with ZooKeeper, etcd, Consul, or Kubernetes
  Patroni is a template for a customized, high-availability PostgreSQL solution
  using Python and a distributed configuration store (ZooKeeper, etcd or

=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,36 @@
+# consul
+Depends:
+ consul,
+ postgresql,
+ python3-behave,
+ python3-consul (>= 0.7.0),
+ python3-coverage,
+ @,
+Test-Command: debian/tests/acceptance consul
+Restrictions: allow-stderr, flaky
+
+# etcd
+#Depends:
+# etcd-server,
+# postgresql,
+# python3-behave,
+# python3-coverage,
+# python3-etcd (>= 0.4.3),
+# @,
+#Test-Command: debian/tests/acceptance etcd
+#Restrictions: allow-stderr
+
+# zookeper
+Depends:
+ zookeeperd,
+ postgresql,
+ python3-behave,
+ python3-coverage,
+ python3-kazoo,
+ @,
+Test-Command: debian/tests/acceptance zookeeper
+Restrictions: needs-root, allow-stderr, flaky
+
 # regression tests
 Depends:
  python3-boto,

## patroni 1.6.5

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 python-consul>=0.7.1
 click>=4.1
 prettytable>=0.7
-tzlocal
 python-dateutil
 psutil>=2.0.0
 cdiff

=== debian/changelog ===
patroni (1.6.5-5ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Mark new consul/zookeper tests as flaky too
    - Disable etcd test, not working everywhere
      See Debian bugs: #952536, #952535

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Aug 2020 23:47:59 +0200

patroni (1.6.5-5) unstable; urgency=medium

  [ Dominik George ]
  * debian/pg_createconfig_patroni: Correctly determine prefix length
    in $NETWORK.

  [ Michael Banck ]
  * debian/config.yml.in: Listen to all interfaces by default. 

 -- Michael Banck <michael.banck@credativ.de>  Wed, 26 Aug 2020 15:33:04 +0200

patroni (1.6.5-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Mark new consul/zookeper tests as flaky too
    - Disable etcd test, not working everywhere
      See Debian bugs: #952536, #952535

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Jul 2020 11:00:05 +0200

patroni (1.6.5-4) unstable; urgency=medium

  * debian/config.yml, debian/dcs.yml: Update example consul configuration,
    addresses upstream issue #1574.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 03 Jun 2020 16:10:59 +0200

patroni (1.6.5-3) unstable; urgency=medium

  * debian/pg_clonecluster_patroni: Always use explicit pg_basebackup version,
    in case more than one major version of PostgreSQL is installed.
  * debian/config.yml.in: Add commented out section on a rewind user, that can
    be used on PostgreSQL 11+ to run pg_rewind as a non-superuser.
  * debian/pg_createconfig_patroni: Parse multiple DCS endpoints correctly,
    patch by Tomas Pospisek (Closes: #953197).
  * debian/tests/acceptance: Start zookeeper manually.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 08 May 2020 21:06:58 +0200

patroni (1.6.5-2) unstable; urgency=medium

  * debian/pg_createconfig_patroni: Allow re-creating configuration file for
    already existing clusters/ports, patch by Tomas Pospisek (Closes: #953162).
  * debian/pg_createcluster_patroni: Pass $DATADIR variable to pg_createcluster
    if specified.
  * debian/patroni@.service: Append scope to syslog identifier.
  * debian/pg_clonecluster_patroni: Pass $DATADIR variable to pg_createcluster.
  * debian/config.yml.in: Add some comments about option passing for
    pg_createcluster_patroni/pg_clonecluster_patroni.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 07 May 2020 13:41:32 +0200

patroni (1.6.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix_failing_tests.patch: Removed, no longer needed. 

 -- Michael Banck <michael.banck@credativ.de>  Mon, 27 Apr 2020 18:24:43 +0200

## patroni 2.0.1

=== debian/changelog ===
patroni (2.0.1-3.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Removing consul and kubernetes support.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 22 Jan 2021 12:45:15 +0100

patroni (2.0.1-3) unstable; urgency=medium

  * debian/pg_clonecluster_patroni: Supress pg_createcluster output as it can
    be misleading.
  * debian/pg_clonecluster_patroni: Remove postgresql.base.conf before running
    pg_dropcluster.
  * debian/config.yml.in: Make base data directory a template variable
    @DATADIR_BASE@.
  * debian/pg_createconfig_patroni: Use data_directory setting from
    /etc/postgresql-common/createcluster.conf as DATADIR_BASE if set.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 22 Jan 2021 12:45:15 +0100

patroni (2.0.1-2) unstable; urgency=medium

  * debian/tests/control: Added moreutils to acceptance-test Depends.
  * debian/tests/acceptance: Pipe test outputs to ts in oder to
    display timestamps.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 10 Dec 2020 13:33:18 +0100

patroni (2.0.1-1) unstable; urgency=medium

  * New upstream major release.
  * debian/README.Debian: Add note about rewind user. 
  * debian/patches/offline_intersphinx.patch: Refreshed.
  * debian/patches/requirements_setuptools.patch: Refreshed.
  * debian/patches/startup_scripts.patch: Refreshed.
  * debian/control (patroni/Depends): Added python3-cdiff.
  * debian/patches/regression_tests_disable_requirement_download.patch: New
    patch, disables downloading python packages during regression tests.
  * debian/tests/test: Remove Raft tests for now (not yet packaged pysyncobj
    module).
  * debian/patches/requirements_cdiff.patch: New patches, changes ydiff (not
    yet packaged python module) back to cdiff in requirements.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 06 Oct 2020 18:10:10 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  python3-boto,
  python3-cdiff,
  python3-click (>= 4.1),
- python3-consul (>= 0.7.0),
  python3-dateutil,
  python3-dnspython,
  python3-doc,
@@ -24,7 +23,6 @@
  python3-kazoo,
  python3-mccabe,
  python3-mock,
- python3-kubernetes,
  python3-prettytable (>= 0.7),
  python3-psutil,
  python3-psycopg2 (>= 2.6.1),
@@ -47,7 +45,6 @@
 Package: patroni
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, lsb-base (>= 3.0-6), python3-psycopg2,
- python3-etcd (>= 0.4.3) | python3-consul (>= 0.7.0) | python3-kazoo | python3-kubernetes
 Recommends: iproute2
 Suggests: postgresql, etcd-server | consul | zookeeperd, vip-manager, haproxy, patroni-doc
 Description: PostgreSQL High Availability with ZooKeeper, etcd, Consul, or Kubernetes

=== debian/tests/control ===
# zookeper
Depends:
 zookeeperd,
 moreutils,
 postgresql,
 python3-behave,
 python3-coverage,
 python3-kazoo,
 @,
Test-Command: debian/tests/acceptance zookeeper
Restrictions: needs-root, allow-stderr

# regression tests
Depends:
 python3-boto,
 python3-etcd (>= 0.4.3),
 python3-flake8,
 python3-kazoo,
 python3-mock,
 python3-pytest-cov,
 @,
Tests: test
Restrictions: allow-stderr

## patroni 2.0.2

=== requirements.txt ===
urllib3>=1.19.1,!=1.21
ipaddress; python_version=="2.7"
boto
PyYAML
six >= 1.7
kazoo>=1.3.1
python-etcd>=0.4.3,<0.5
python-consul>=0.7.1
click>=4.1
prettytable>=0.7
python-dateutil
pysyncobj>=0.3.7
psutil>=2.0.0
ydiff>=1.2.0

=== debian/changelog ===
patroni (2.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/regression_tests_disable_requirement_download.patch:
    Likewise.
  * debian/patches/regression_tests_disable_raft_tests.py: New patch, reverts
    upstream commit 3a87d0e.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 04 Mar 2021 08:59:40 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  python3-boto,
  python3-cdiff,
  python3-click (>= 4.1),
+ python3-consul (>= 0.7.0),
  python3-dateutil,
  python3-dnspython,
  python3-doc,
@@ -23,6 +24,7 @@
  python3-kazoo,
  python3-mccabe,
  python3-mock,
+ python3-kubernetes,
  python3-prettytable (>= 0.7),
  python3-psutil,
  python3-psycopg2 (>= 2.6.1),
@@ -45,6 +47,8 @@
 Package: patroni
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, lsb-base (>= 3.0-6), python3-psycopg2,
+ python3-etcd (>= 0.4.3) | python3-consul (>= 0.7.0) | python3-kazoo |
+ python3-kubernetes, python3-cdiff
 Recommends: iproute2
 Suggests: postgresql, etcd-server | consul | zookeeperd, vip-manager, haproxy, patroni-doc
 Description: PostgreSQL High Availability with ZooKeeper, etcd, Consul, or Kubernetes

=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,27 @@
+# consul
+Depends:
+ consul,
+ moreutils,
+ postgresql,
+ python3-behave,
+ python3-consul (>= 0.7.0),
+ python3-coverage,
+ @,
+Test-Command: debian/tests/acceptance consul
+Restrictions: allow-stderr
+
+# etcd
+Depends:
+ etcd-server,
+ moreutils,
+ postgresql,
+ python3-behave,
+ python3-coverage,
+ python3-etcd (>= 0.4.3),
+ @,
+Test-Command: debian/tests/acceptance etcd
+Restrictions: allow-stderr
+
 # zookeper
 Depends:
  zookeeperd,
@@ -13,9 +37,11 @@
 # regression tests
 Depends:
  python3-boto,
+ python3-consul (>= 0.7.0),
  python3-etcd (>= 0.4.3),
  python3-flake8,
  python3-kazoo,
+ python3-kubernetes,
  python3-mock,
  python3-pytest-cov,
  @,

## patroni 2.1.0

=== debian/changelog ===
patroni (2.1.0-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 09 Jul 2021 16:58:39 +0200

patroni (2.1.0-1) experimental; urgency=medium

  * New upstream major release. New features:
   + Compatibility with PostgreSQL v14
   + Failover logical slots
   + Allowlist for Patroni REST API
   + Support of replication connections via unix socket
   + Health check on user-defined tags
   + Prometheus /metrics endpoint
   + Reduced chattiness of Patroni logs
  * debian/patches/regression_tests_disable_requirement_download.patch:
    Refreshed.
  * debian/patches/requirements_cdiff.patch: Likewise.
  * debian/patches/requirements_setuptools.patch: Likewise.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 09 Jul 2021 16:58:39 +0200

## patroni 2.1.1

=== debian/changelog ===
patroni (2.1.1-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 20 Aug 2021 10:53:23 +0200

patroni (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/regression_tests_disable_raft_tests.py: Refreshed.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 20 Aug 2021 10:53:23 +0200

## patroni 2.1.3

=== requirements.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 click>=4.1
 prettytable>=0.7
 python-dateutil
-pysyncobj>=0.3.7
+pysyncobj>=0.3.8
+cryptography>=1.4
 psutil>=2.0.0
 ydiff>=1.2.0

=== debian/changelog ===
patroni (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/regression_tests_disable_requirement_download.patch:
    Removed, no longer needed.
  * debian/patches/regression_tests_psutil_compat.patch: Likewise.
  * debian/config.yml.in: Update configuration:
    - Set use_pg_rewind, use_slots and check_timeline to true.
    - Update comments and formatting.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 18 Feb 2022 22:16:13 +0100

patroni (2.1.2-3) unstable; urgency=medium

  * debian/patches/regression_tests_psutil_compat.patch: New patch, add
    compatibility for newer psutil in the regression tests (Closes: #1003562).
  * debian/changelog: Fix whitespace.
  * debian/tests/acceptance: Skip standby_cluster/logical_slots_in_sync
    scenario on v10, as it is not supported there.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 15 Feb 2022 23:06:15 +0100

patroni (2.1.2-2) unstable; urgency=medium

  * Team upload.
  * debian/clean: Remove patroni.egg-info/.
  * debian/py3dist-overrides: Tell dh_python3 to find "ipaddress" in python3
    >= 3.3.
  * debian/tests/control: Mark zookeeper test as skip-not-installable.
  * debian/tests/acceptance: `set -o pipefail` so failures aren't masked by
    `ts`.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Dec 2021 15:22:09 +0100

patroni (2.1.2-1) unstable; urgency=medium

  * New upstream release.

  [ Christoph Berg ]
  * patroni@.service: Remove redundant (and broken) WorkingDirectory.
    Thanks Ludovic Gasc!
  * debian/tests/control: Give Test-Commands meaningful names.

  [ Michael Banck ]
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 03 Dec 2021 17:13:13 +0100

=== debian/tests/control ===
# etcd
Features: test-name=acceptance-etcd
Depends:
 etcd-server,
 moreutils,
 postgresql,
 python3-behave,
 python3-coverage,
 python3-etcd (>= 0.4.3),
 @,
Test-Command: debian/tests/acceptance etcd
Restrictions: allow-stderr

# consul
Features: test-name=acceptance-consul
Depends:
 consul,
 moreutils,
 postgresql,
 python3-behave,
 python3-consul (>= 0.7.0),
 python3-coverage,
 @,
Test-Command: debian/tests/acceptance consul
Restrictions: allow-stderr

# zookeeper
Features: test-name=acceptance-zookeeper
Depends:
 zookeeperd,
 moreutils,
 postgresql,
 python3-behave,
 python3-coverage,
 python3-kazoo,
 @,
Test-Command: debian/tests/acceptance zookeeper
Restrictions: needs-root, allow-stderr, skip-not-installable

# regression tests
Depends:
 python3-boto,
 python3-consul (>= 0.7.0),
 python3-etcd (>= 0.4.3),
 python3-flake8,
 python3-kazoo,
 python3-kubernetes,
 python3-mock,
 python3-pytest-cov,
 @,
Tests: test
Restrictions: allow-stderr

## patroni 2.1.4

=== debian/changelog ===
patroni (2.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/pg_rewind_fix_get_guc_value.patch: Removed, no longer
    needed.
  * debian/control, debian/tests/control: Replaced python3-boto with
    python3-boto3.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 02 Jun 2022 16:58:10 +0200

patroni (2.1.3-3) unstable; urgency=medium

  * debian/patches/regression_tests_disable_raft_tests.py: Drop unrelated
    etcd3 validator removal, pointed out by Kirill Petrov.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 29 Apr 2022 19:17:12 +0200

patroni (2.1.3-2) unstable; urgency=medium

  * debian/patches/pg_rewind_fix_get_guc_value.patch: New patch, changes the
    pg_rewind calling behaviour so that it can deal with postgresql.conf not
    being in the data directory; taken from upstream commit 7626b5f by Nick
    Bluth.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 24 Mar 2022 22:22:16 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libjs-underscore,
  pyflakes3,
  python3,
- python3-boto,
+ python3-boto3,
  python3-cdiff,
  python3-click (>= 4.1),
  python3-consul (>= 0.7.0),

=== debian/tests/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 # regression tests
 Depends:
- python3-boto,
+ python3-boto3,
  python3-consul (>= 0.7.0),
  python3-etcd (>= 0.4.3),
  python3-flake8,

## patroni 3.0.1

=== debian/changelog ===
patroni (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Uploaders): Updated.

 -- Michael Banck <mbanck@debian.org>  Fri, 17 Feb 2023 09:33:48 +0100

patroni (3.0.0-1) unstable; urgency=medium

  * New major upstream release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Likewise.
  * debian/tests/control: Add procps as dependency and skip DCS failsafe mode
    acceptance tests on zookeeper.
  * debian/patches/regression_tests_skip_citus_test.patch: New patch, skips
    the citus unit test for now as it fails on some configurations.
  * debian/control (Depends): Removed obsolete lsb-base. 

 -- Michael Banck <michael.banck@credativ.de>  Tue, 31 Jan 2023 22:27:24 +0100

patroni (2.1.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/acceptance_tests_reenable_etcdv2.patch: Removed, no longer
    needed. 
  * debian/patches/compatibility_with_old_modules.patch: Likewise.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 23 Jan 2023 21:24:46 +0100

patroni (2.1.6-2) unstable; urgency=medium

  [ Shengjing Zhu ]
  * debian/tests/acceptance: Ensure no etcd server is running before acceptance
    tests. Otherwise, acceptance tests can't spin up a new etcd server which
    uses the same port (Closes: #1027707).

 -- Michael Banck <michael.banck@credativ.de>  Sun, 08 Jan 2023 22:06:02 +0100

patroni (2.1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/acceptance_tests_reenable_etcdv2.patch: New patch,
    re-enables V2 API on etcd-3.4 and later. 
  * debian/tests/control: Add etcd3 behave test. 
  * debian/patches/compatibility_with_old_modules.patch: New patch, fixes
    unit test failures with older modules, taken from upstream commit 442bd3f.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 04 Jan 2023 10:51:02 +0100

patroni (2.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Mark Consul test as skip-not-installable (not in testing, see #1017982).

 -- Christoph Berg <myon@debian.org>  Mon, 28 Nov 2022 13:07:28 +0100

patroni (2.1.4-3) unstable; urgency=medium

  * Enable RAFT support and add python3-pysyncobj to dep alternatives.

 -- Christoph Berg <myon@debian.org>  Thu, 17 Nov 2022 16:14:33 +0100

patroni (2.1.4-2) unstable; urgency=medium

  * Team upload.

  [ Michael Banck ]
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch: New
    patch, avoids streaming a backup of the primary's postgresql.conf file
    during bootstrap, overwriting the standby's postgresql.base.conf and
    possible preventing PostgreSQL to start up.
  * debian/patches/acceptance_tests_speedup.patch: New patch, reduces loop_wait
    to 2 thus speeding up the behave tests, taken from upstream commit ead798.

  [ Christoph Berg ]
  * Add a test using etcd running basic_replication.feature only, and mark the
    full tests as flaky. (Closes: #1017527)

 -- Christoph Berg <myon@debian.org>  Thu, 08 Sep 2022 17:04:35 +0200

## patroni 3.0.2

=== requirements.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 urllib3>=1.19.1,!=1.21
-ipaddress; python_version=="2.7"
-boto
+boto3
 PyYAML
-six >= 1.7
 kazoo>=1.3.1
 python-etcd>=0.4.3,<0.5
 python-consul>=0.7.1

=== debian/changelog ===
patroni (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/requirements_setuptools.patch: Likewise.
  * debian/patches/requirements_cdiff.patch: Likewise.
  * debian/patches/python3.6-compat.patch: New patch, fixes newly introduced
    regression testsuite failures with python3.6 and python3.7.

 -- Michael Banck <mbanck@debian.org>  Fri, 07 Apr 2023 16:01:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Michael Banck <michael.banck@credativ.de>,
+Uploaders: Michael Banck <mbanck@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
  debhelper (>= 10),
@@ -46,9 +46,9 @@
 
 Package: patroni
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, lsb-base (>= 3.0-6), python3-psycopg2,
+Depends: ${misc:Depends}, ${python3:Depends}, python3-psycopg2,
  python3-etcd (>= 0.4.3) | python3-consul (>= 0.7.0) | python3-kazoo |
- python3-kubernetes, python3-cdiff
+ python3-kubernetes | python3-pysyncobj, python3-cdiff
 Recommends: iproute2
 Suggests: postgresql, etcd-server | consul | zookeeperd, vip-manager, haproxy, patroni-doc
 Description: PostgreSQL High Availability with ZooKeeper, etcd, Consul, or Kubernetes

## patroni 3.0.4

=== debian/changelog ===
patroni (3.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed. 
  * debian/pg_createconfig_patroni: Remove check that DCS_ENDPOINT must be ip
    addresses if passed via --endpoint option.

 -- Michael Banck <mbanck@debian.org>  Sat, 15 Jul 2023 10:45:52 +0200

patroni (3.0.3-2) unstable; urgency=medium

  * debian/patches/python3.6-testsuite-fix.patch: New patch, fixes the
    testsuite for python3.6.

 -- Michael Banck <mbanck@debian.org>  Fri, 23 Jun 2023 17:22:06 +0200

patroni (3.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/offline_intersphinx.patch: Likewise.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Likewise.
  * debian/patches/regression_tests_skip_citus_test.patch: Likewise.
  * debian/patches/python3.6-compat.patch: Removed, no longer needed.
  * debian/patches/python3.11-compat.patch: Likewise.
  * debian/pg_createconfig_patroni: Fix syntax error.

 -- Michael Banck <mbanck@debian.org>  Thu, 22 Jun 2023 21:03:15 +0200

patroni (3.0.2-3) unstable; urgency=medium

  * debian/patches/python3.11-compat.patch: New patches, fixes testsuite
    failures with python3.11, adapted from upstream commit 9b01041.

 -- Michael Banck <mbanck@debian.org>  Wed, 21 Jun 2023 22:58:29 +0200

patroni (3.0.2-2) unstable; urgency=medium

  * debian/pg_createconfig_patroni: Make setting of DCS_TYPE variable less
    error-prone.

 -- Michael Banck <mbanck@debian.org>  Wed, 21 Jun 2023 15:22:45 +0200
